ublas: boost::numeric::ublas::array_adaptor< T > Class Template Reference

# boost::numeric::ublas::array_adaptor< T > Class Template Reference

Inherits storage_array< array_adaptor< T > >.

List of all members.

## Public Types
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef const T * | const_pointer
typedef T * | pointer
typedef const_pointer | const_iterator
typedef pointer | iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
typedef std::reverse_iterator < iterator > | reverse_iterator
## Public Member Functions
BOOST_UBLAS_INLINE | array_adaptor (size_type size)
BOOST_UBLAS_INLINE | array_adaptor (size_type size, const value_type &init)
BOOST_UBLAS_INLINE | array_adaptor (size_type size, pointer data)
BOOST_UBLAS_INLINE | array_adaptor (const array_adaptor &a)
BOOST_UBLAS_INLINE void | resize (size_type size)
BOOST_UBLAS_INLINE void | resize (size_type size, value_type init)
BOOST_UBLAS_INLINE void | resize (size_type size, pointer data)
BOOST_UBLAS_INLINE void | resize (size_type size, pointer data, value_type init)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE reference | operator[] (size_type i)
BOOST_UBLAS_INLINE array_adaptor & | operator= (const array_adaptor &a)
BOOST_UBLAS_INLINE array_adaptor & | assign_temporary (array_adaptor &a)
BOOST_UBLAS_INLINE void | swap (array_adaptor &a)
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE reverse_iterator | rbegin ()
BOOST_UBLAS_INLINE reverse_iterator | rend ()
## Friends
BOOST_UBLAS_INLINE friend void | swap (array_adaptor &a1, array_adaptor &a2)

### template<class T>
class boost::numeric::ublas::array_adaptor< T >